<?php defined('C5_EXECUTE') or die("Access Denied.");

/**
 * Link Blink package for Concrete5
 * Copyright 2020, Alex Borisov. All Rights Reserved.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * @author Alex Borisov <linuxoidoz@gmail.com>
 * @copyright 2018-2020, Alex Borisov. All Rights Reserved.
 * @package Concrete\Package\ab_link_blink
 */

?>

<style>
.ab-link-blink-form .tooltip-inner {
    background-color: #666666 !important;
    color: #ffffff !important;
}

.ab-link-blink-form .tooltip-arrow {
    border-top-color: #666666 !important;
    border-bottom-color: #666666 !important;
}

.ab-link-blink-form .control-label i { margin-left: 10px; }

.ab-link-blink-form span.blink {
    font-size: 1.8em;
    -webkit-animation: color-change 1s infinite;
    -moz-animation: color-change 1s infinite;
    -o-animation: color-change 1s infinite;
    -ms-animation: color-change 1s infinite;
    animation: color-change 1s infinite;
}

@-webkit-keyframes color-change {
    0% { color: <?php echo $link_no_blink_color; ?>; }
    50% { color: <?php echo $link_blink_color; ?>; }
    100% { color: <?php echo $link_no_blink_color; ?>; }
}
@-moz-keyframes color-change {
    0% { color: <?php echo $link_no_blink_color; ?>; }
    50% { color: <?php echo $link_blink_color; ?>; }
    100% { color: <?php echo $link_no_blink_color; ?>; }
}
@-ms-keyframes color-change {
    0% { color: <?php echo $link_no_blink_color; ?>; }
    50% { color: <?php echo $link_blink_color; ?>; }
    100% { color: <?php echo $link_no_blink_color; ?>; }
}
@-o-keyframes color-change {
    0% { color: <?php echo $link_no_blink_color; ?>; }
    50% { color: <?php echo $link_blink_color; ?>; }
    100% { color: <?php echo $link_no_blink_color; ?>; }
}
@keyframes color-change {
    0% { color: <?php echo $link_no_blink_color; ?>; }
    50% { color: <?php echo $link_blink_color; ?>; }
    100% { color: <?php echo $link_no_blink_color; ?>; }
}

.text-muted { font-size: 0.8em; }
</style>

<fieldset class="ab-link-blink-form">

    <div class="form-group">
        <?php
        echo $form->label('page_id', t('Site Page to Go to'));
        $ps = $app->make('helper/form/page_selector');
        echo $ps->selectPage('page_id', $page_id);
        ?>
    </div>
    
    <div class="form-group">
        <?php
        echo $form->label('goto_id', t('Page Element ID') . '<i class="fa fa-question-circle" data-toggle="tooltip" title="' . t('ID of page element to go and scroll to') . '"></i>');
        echo $form->text('goto_id', $goto_id, ['maxlength' => 100]);
        echo '<p class="text-muted">' . t('Max 100 symbols') . '</p>';
        ?>
    </div>
    
    <div class="form-group">
        <?php
        echo $form->label('link_no_blink_string', t('Non-Blinking String'));
        echo $form->text('link_no_blink_string', $link_no_blink_string, ['maxlength' => 100]);
        echo '<p class="text-muted">' . t('Max 100 symbols') . '</p>';
        ?>
    </div>
    
    <div class="form-group">
        <?php
        echo $form->label('link_blink_string', t('Blinking String'));
        echo $form->text('link_blink_string', $link_blink_string, ['maxlength' => 100]);
        echo '<p class="text-muted">' . t('Max 100 symbols') . '</p>';
        ?>
    </div>
    
    <div class="form-group">
        <?php echo $form->label('symbol', t('Blinking Symbol')); ?>
        <div class="row">
            <div class="col-xs-10">
                <?php echo $form->select('symbol', $symbols, $symbol); ?>
            </div>
            <div class="col-xs-2">
                <span class="blink" id="icon"></span>
            </div>
        </div>
    </div>
        
    <div class="row">
        <div class="col-xs-6">
            <div class="form-group">
                <?php
                echo $form->label('link_no_blink_color', t('Non-blinking Color'));
                echo '<br />';
                $ch = $app->make('helper/form/color');
                $ch->output('link_no_blink_color', $link_no_blink_color, array('showAlpha' => false, 'preferredFormat' => 'name', 'showInput' => true));
                ?>
            </div>
        </div>
        
        <div class="col-xs-6">
            <div class="form-group">
                <?php
                echo $form->label('link_blink_color', t('Blinking Color'));
                echo '<br />';
                $ch = $app->make('helper/form/color');
                $ch->output('link_blink_color', $link_blink_color, array('showAlpha' => false, 'preferredFormat' => 'name', 'showInput' => true));
                ?>
            </div>
        </div>
    </div>
    
</fieldset>

<script type="text/javascript">
$(function(){
    $('[data-toggle="tooltip"]').tooltip();
    
    $(document).on('change', '#symbol', function() {
        var icon = $('#icon');
        if ($(this).val() != '') {
            var symbol = '<i class="fa fa-' + $(this).val() + '"></i>';
            icon.html(symbol);
        }
        else {
            icon.html('');
        }
    });
    $('#symbol').trigger('change');
    
    $('#ccm-form-submit-button').on('click', function(e) {
        var page_id = $('[name="page_id"]').val();
        var goto_id = $.trim($('#goto_id').val());
        var link_no_blink_string = $.trim($('#link_no_blink_string').val());
        var link_blink_string = $.trim($('#link_blink_string').val());
        var symbol = $('#symbol').val();
        
        if (page_id == 0 && goto_id == '') {
            e.preventDefault();
            e.stopPropagation();
            ConcreteAlert.error({
                title: <?php echo json_encode(t('URL error:')); ?>,
                message: <?php echo json_encode(t('At least either site page or page element ID must be selected')); ?>
            });
        }
        else if (link_no_blink_string == '' && link_blink_string == '' && symbol == '') {
            e.preventDefault();
            e.stopPropagation();
            ConcreteAlert.error({
                title: <?php echo json_encode(t('Link Text:')); ?>,
                message: <?php echo json_encode(t('At least either non-blinking string or blinking string or blinking symbol must be selected')); ?>
            });
        }
        else if (link_no_blink_string.length > 100) {
            e.preventDefault();
            e.stopPropagation();
            ConcreteAlert.error({
                title: <?php echo json_encode(t('Non-Blinking String:')); ?>,
                message: <?php echo json_encode(t('Non-Blinking String must have max 100 symbols')); ?>
            });
        }
        else if (link_blink_string.length > 100) {
            e.preventDefault();
            e.stopPropagation();
            ConcreteAlert.error({
                title: <?php echo json_encode(t('Blinking String:')); ?>,
                message: <?php echo json_encode(t('Blinking String must have max 100 symbols')); ?>
            });
        }
        else if (goto_id.length > 100) {
            e.preventDefault();
            e.stopPropagation();
            ConcreteAlert.error({
                title: <?php echo json_encode(t('Page Element ID:')); ?>,
                message: <?php echo json_encode(t('Page Element ID must have max 100 symbols')); ?>
            });
        }
    });
});
</script>
