/**
 * Link Blink package for Concrete5
 * Copyright 2020, Alex Borisov. All Rights Reserved.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * @author Alex Borisov <linuxoidoz@gmail.com>
 * @copyright 2018-2020, Alex Borisov. All Rights Reserved.
 * @package Concrete\Package\ab_link_blink
 */

$(document).ready(function() {
    $('.ab-link-blink a.smooth-scroll').on('click', function(e) {
        if (this.pathname == window.location.pathname && this.protocol == window.location.protocol && this.host == window.location.host) {
            if (this.hash !== "") {
                e.preventDefault();
                var hash = this.hash;
                
                $('html, body').animate({
                    scrollTop: $(hash).offset().top
                }, 800, function() {
                        window.location.hash = hash;
                    }
                );
            }
        } else {
            window.location = window.location;
        }
    });
});
